# PingHttp

### Description

Pings the server and returns version and date information.

To invoke this method via a URL, append this function's name to the URL of the QLM License Server and add the required arguments.

```http
https://yourserver/yourvirtualdirectory/qlmservice.asmx/PingHttp
```

### Return

{% code overflow="wrap" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<QuickLicenseManager>
<result>Successfully connected to License Server at 2015-08-05T15:53:16Z UTC. QLM Version: 8.1.16047.1</result>
<serverDate>2015-08-05T15:53:16Z</serverDate>
<serverVersion>8.1.16047.1</serverVersion>
<serverDate date = "2015-08-05T15:53:16Z" />  <!-- this is obsolete but is returned for backward compatibility -->
</QuickLicenseManager>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/http-methods/pinghttp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
